hive-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sp...@apache.org
Subject hive git commit: HIVE-12796: Switch to 32-bits containers for HMS upgrade tests.
Date Wed, 06 Jan 2016 23:34:38 GMT
Repository: hive
Updated Branches:
  refs/heads/master ac5ad78fb -> cb1745619


HIVE-12796: Switch to 32-bits containers for HMS upgrade tests.


Project: http://git-wip-us.apache.org/repos/asf/hive/repo
Commit: http://git-wip-us.apache.org/repos/asf/hive/commit/cb174561
Tree: http://git-wip-us.apache.org/repos/asf/hive/tree/cb174561
Diff: http://git-wip-us.apache.org/repos/asf/hive/diff/cb174561

Branch: refs/heads/master
Commit: cb1745619fcd5ecbf3bce75554e60123ff16078e
Parents: ac5ad78
Author: Sergio Pena <sergio.pena@cloudera.com>
Authored: Wed Jan 6 17:33:37 2016 -0600
Committer: Sergio Pena <sergio.pena@cloudera.com>
Committed: Wed Jan 6 17:34:00 2016 -0600

----------------------------------------------------------------------
 testutils/metastore/execute-test-on-lxc.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hive/blob/cb174561/testutils/metastore/execute-test-on-lxc.sh
----------------------------------------------------------------------
diff --git a/testutils/metastore/execute-test-on-lxc.sh b/testutils/metastore/execute-test-on-lxc.sh
index 592e696..72fd997 100644
--- a/testutils/metastore/execute-test-on-lxc.sh
+++ b/testutils/metastore/execute-test-on-lxc.sh
@@ -69,7 +69,8 @@ lxc_exists() {
 }
 
 lxc_create() {
-	lxc-create -n $1 -t download -- --dist "ubuntu" --release "trusty" --arch "amd64" || return
1
+	# Oracle works better on 32-bits machines only, so we use i386 containers.
+	lxc-create -n $1 -t download -- --dist "ubuntu" --release "trusty" --arch "i386" || return
1
 	lxc_start $1 || return 1
 }
 


Mime
View raw message